<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Introduction and Selectors</title>
		<!-- external css -->
		<link rel="stylesheet" href="./style.css">
	</head>
	<body>
		<!-- Inline styling -->
		<h1 style="color: burlywood;">Hello World</h1>
		<h2 style="font-size: 30px;">Welcome to Zuitt!</h2>

		<!-- Internal styling -->
		<style>

			/*using attribute selector*/
			[type="text"]{
				background-color: coral;
			}

			form{
				border: 1px solid black;
				padding: 20px;
			}

			.p{
				color: red;
			}

			#sub{
				width: 70px;
				height: 30px;
			}

		</style>

		<form>

			<label for="fname">First Name: </label>
			<input type="text" name="" id="fname" />
			<br />

			<label for="lname">Last Name: </label>
			<input type="text" name="" id="lname" />
			<br />

			<label for="email">Email: </label>
			<input type="email" name="" id="email" />
			<br />

			<label for="pw">Password: </label>
			<input type="password" name="" id="pw" />
			<br />

			<button id="sub">Submit</button>
			<br />
		</form>

		<p class="p">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
			cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
			proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>

		<!-- selector combinators -->

		<div class="parent">
			<p>First paragraph</p>
			<p>Second paragraph</p>
			<section>
				<p>Third paragraph</p>
			</section>
		</div>
		<p>Fourth paragraph</p>
		<p>Fifth paragraph</p>

		<div>
			<p>Sixth paragraph</p>
			<p>Seventh paragraph</p>
		</div>
		<div>
			<p>Eighth paragraph</p>
			<p>Ninth paragraph</p>
		</div>

	</body>
</html>